TencentNavKit

Instance Methods | Properties | List of all members
TNKBaseNavView Class Reference

导航地图基础类 More...

`#import <TNKBaseNavView.h>`

Inheritance diagram for TNKBaseNavView:

## Instance Methods
(instancetype) | - UNAVAILABLE_ATTRIBUTE
(instancetype) | - initWithFrame:config:
| 构造方法 . since 5.2.4.4 More...
(void) | - clearAllRouteUI
| 清除路线相关UI.该方法用于非导航状态下清除路线相关UI。 包括导航路线、自车点图标、动态添加的限速/指示标识等. More...
(void) | - updateRouteConfig:
| 更新路线样式配置 More...
(void) | - updateOriginMarkerPresentation:
| 更新起点样式。 置为nil则重新使用默认资源 More...
(void) | - updateDestinationMarkerPresentation:
| 更新终样式。 置为nil则重新使用默认资源 More...
(void) | - updateUserLocationPresentation:
| 更新自车点样式。 置为nil则重新使用默认资源 More...
(void) | - updateRedLineConfig:
| 配置导航红线。默认不显示，入参为nil则不显示 More...
(void) | - snapShotWithConfig:completion:
| 异步截图，支持定时回调 注意:需要导航开启后设置才能生效。 More...
(void) | - stopSnapShot
(void) | - configureUserLocationPresentation:
| 配置当前位置UI属性 (必须在QMapView 初始化以后, 定位开启之前调用) More...
(void) | - setMapStyle:
| 改变底图样式。注意，如果调用该方法，日夜间模式样式将不再发生变化. More...

## Properties
QMapView * | mapView
| 地图实例 More...
TNKNavDayNightMode | dayNightMode
| 地图日夜间模式切换策略. 包括自动切换、始终白天、始终黑夜3种模式. 默认为日夜状态自动切换. More...
TNKNavDayNightStatus | dayNightStatus
| 获取地图当前日夜状态. More...
TNKNavUIMode | navUIMode
| 导航视角模式. 导航模式包括3D车头朝上、2D地图朝北、全览和剩余全览4种模式. 默认为3D车头朝上模式. 导航状态下使用手势操作地图时触发非锁车模式，地图不跟随自车点移动 ；在手势操作结束后一段时间切换回之前的导航模式. 该时间可由followDelay设定,默认回弹时间为5秒。 More...
BOOL | followed
| 当前是否是锁车标状态。当收到拖动地图时，地图视野一段时间内不会发生改变，follow为NO。 More...
BOOL | followEnabled
| 是否会自动从非锁车标状态进入锁车标状态； 默认为YES More...
NSTimeInterval | followDelay
| 设置从非锁车标状态返回之前锁车标状态的延迟时间，单位为秒， 默认为5秒. More...
BOOL | exitOverviewEnabled
| 是否会自动从全览状态进入导航态,默认为NO More...
NSTimeInterval | exitOverviewDelay
| 设置从全览到退出全览模式进入导航态的延迟时间,单位为秒,默认为10秒,区间(0,+∞). More...
TNKNavUIMode | nonOverviewNaviUIMode
| 非全览的导航视角模式. 导航模式包括3D车头朝上、2D地图朝. More...
TNKNavUIMode | overviewNaviUIMode
| 全览的导航视角模式. 全览和剩余全览. More...
TNKRouteConfig * | routeConfig
| 驾车导航路线样式配置 More...
UIEdgeInsets | externalEdgeInsets
| 设置全览和剩余全览模式下导航路线显示区域距离地图四周的边距. 当在CarNaviView上自定义显示元素时, 为避免与导航路线相互遮挡, 可调用该接口调整导航路线显示区域范围. 默认值为(80,80,150,40), 使得全览和剩余全览模式下导航路线四周有部分留白. More...
NSArray< TNKCoordinatePoint * > * | extraPointsForOverview
| 设置全览和剩余全览模式下，想要展示在可视区域内的额外的点数组。使用之后需重置为nil More...
CGPoint | fix3DProportion
| 3D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.72). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
CGPoint | fix2DProportion
| 2D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.6). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
BOOL | compassHidden
| 设置是否隐藏自车点罗盘.该方法用于导航状态下控制显示/隐藏自车点罗盘. 自车点罗盘在3D车头朝上模式下会默认显示, 在2D地图朝北、全览模式和剩余全览模式下会默认隐藏. More...
BOOL | turnArrowEnabled
| 设置是否隐藏转弯箭头指引.该方法用于导航状态下控制显示/隐藏下一个转弯箭头指引.默认为YES More...
TNKTurnArrowConfig * | turnArrowConfig
| 设置是转向箭头的样式，不可为nil More...
UIView * | navInfoBriefView
| 导航截图叠加视图 More...
BOOL | showsUserLocation
| 开启定位并展示位置图标. More...

## Detailed Description

导航地图基础类

## Method Documentation

## ◆ clearAllRouteUI

- (void) clearAllRouteUI |  |  |

清除路线相关UI.该方法用于非导航状态下清除路线相关UI。 包括导航路线、自车点图标、动态添加的限速/指示标识等.

Warning
  导航过程中调用该方法无效.

## ◆ configureUserLocationPresentation:

- (void) configureUserLocationPresentation: |  | (QUserLocationPresentation *) | presentation |

配置当前位置UI属性 (必须在QMapView 初始化以后, 定位开启之前调用)

Parameters

  presentation | 位置UI属性

Provided by category TNKBaseNavView(QMapView).

## ◆ initWithFrame:config:

- (instancetype) initWithFrame: |  | (CGRect) | frame
config: |  | (QMapConfig *_Nullable) | config

构造方法 . since 5.2.4.4

Parameters

  frame | frame 矩形.
  config | 地图 的配置属性.

## ◆ setMapStyle:

- (void) setMapStyle: |  | (int) | styleType |

改变底图样式。注意，如果调用该方法，日夜间模式样式将不再发生变化.

Since
  5.2.4.4

Parameters

  styleType | 在官网配置的自定义样式列表中的顺序, 从1开始

Provided by category TNKBaseNavView(QMapView).

## ◆ snapShotWithConfig:completion:

- (void) snapShotWithConfig: |  | (TNKSnapShotConfig *) | config
completion: |  | (void(^)(TNKSnapShotResult *_Nullable result, NSError *_Nullable error)) | completion

异步截图，支持定时回调 注意:需要导航开启后设置才能生效。

Parameters

  config | 截图参数配置对象，其中interval属性控制定时回调间隔（秒），config:nil执行停止截图.
  completion | 异步回调结果，会根据interval定时触发

## ◆ stopSnapShot

- (void) stopSnapShot |  |  |

停止截图

## ◆ UNAVAILABLE_ATTRIBUTE

- (instancetype) UNAVAILABLE_ATTRIBUTE |  |  |

## ◆ updateDestinationMarkerPresentation:

- (void) updateDestinationMarkerPresentation: |  | (TNKODMarkerPresentation *_Nullable) | destinationMarkerPresentation |

更新终样式。 置为nil则重新使用默认资源

Parameters

  destinationMarkerPresentation | 终点样式

## ◆ updateOriginMarkerPresentation:

- (void) updateOriginMarkerPresentation: |  | (TNKODMarkerPresentation *_Nullable) | originMarkerPresentation |

更新起点样式。 置为nil则重新使用默认资源

Parameters

  originMarkerPresentation | 起点样式

## ◆ updateRedLineConfig:

- (void) updateRedLineConfig: |  | (TNKRedLineConfig *_Nullable) | redLineConfig |

配置导航红线。默认不显示，入参为nil则不显示

Since
  6.0.0

## ◆ updateRouteConfig:

- (void) updateRouteConfig: |  | (TNKRouteConfig *) | routeConfig |

更新路线样式配置

Parameters

  routeConfig | 路线样式配置

## ◆ updateUserLocationPresentation:

- (void) updateUserLocationPresentation: |  | (TNKUserLocationPresentation *_Nullable) | userLocationPresentation |

更新自车点样式。 置为nil则重新使用默认资源

Parameters

  userLocationPresentation | 自车点样式

## Property Documentation

## ◆ compassHidden

- (BOOL) compassHidden
| readwritenonatomicassign

设置是否隐藏自车点罗盘.该方法用于导航状态下控制显示/隐藏自车点罗盘. 自车点罗盘在3D车头朝上模式下会默认显示, 在2D地图朝北、全览模式和剩余全览模式下会默认隐藏.

## ◆ dayNightMode

- (TNKNavDayNightMode) dayNightMode
| readwritenonatomicassign

地图日夜间模式切换策略. 包括自动切换、始终白天、始终黑夜3种模式. 默认为日夜状态自动切换.

## ◆ dayNightStatus

- (TNKNavDayNightStatus) dayNightStatus
| readnonatomicassign

获取地图当前日夜状态.

## ◆ exitOverviewDelay

- (NSTimeInterval) exitOverviewDelay
| readwritenonatomicassign

设置从全览到退出全览模式进入导航态的延迟时间,单位为秒,默认为10秒,区间(0,+∞).

## ◆ exitOverviewEnabled

- (BOOL) exitOverviewEnabled
| readwritenonatomicassign

是否会自动从全览状态进入导航态,默认为NO

## ◆ externalEdgeInsets

- (UIEdgeInsets) externalEdgeInsets
| readwritenonatomicassign

设置全览和剩余全览模式下导航路线显示区域距离地图四周的边距. 当在CarNaviView上自定义显示元素时, 为避免与导航路线相互遮挡, 可调用该接口调整导航路线显示区域范围. 默认值为(80,80,150,40), 使得全览和剩余全览模式下导航路线四周有部分留白.

## ◆ extraPointsForOverview

- (NSArray<TNKCoordinatePoint *>*) extraPointsForOverview
| readwritenonatomiccopy

设置全览和剩余全览模式下，想要展示在可视区域内的额外的点数组。使用之后需重置为nil

## ◆ fix2DProportion

- (CGPoint) fix2DProportion
| readwritenonatomicassign

2D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.6). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值.

## ◆ fix3DProportion

- (CGPoint) fix3DProportion
| readwritenonatomicassign

3D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.72). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值.

## ◆ followDelay

- (NSTimeInterval) followDelay
| readwritenonatomicassign

设置从非锁车标状态返回之前锁车标状态的延迟时间，单位为秒， 默认为5秒.

## ◆ followed

- (BOOL) followed
| readwritenonatomicassign

当前是否是锁车标状态。当收到拖动地图时，地图视野一段时间内不会发生改变，follow为NO。

## ◆ followEnabled

- (BOOL) followEnabled
| readwritenonatomicassign

是否会自动从非锁车标状态进入锁车标状态； 默认为YES

## ◆ mapView

- (QMapView*) mapView
| readnonatomicassign

地图实例

## ◆ navInfoBriefView

- (UIView*) navInfoBriefView
| readwritenonatomicstrong

导航截图叠加视图

## ◆ navUIMode

- (TNKNavUIMode) navUIMode
| readwritenonatomicassign

导航视角模式. 导航模式包括3D车头朝上、2D地图朝北、全览和剩余全览4种模式. 默认为3D车头朝上模式. 导航状态下使用手势操作地图时触发非锁车模式，地图不跟随自车点移动 ；在手势操作结束后一段时间切换回之前的导航模式. 该时间可由followDelay设定,默认回弹时间为5秒。

## ◆ nonOverviewNaviUIMode

- (TNKNavUIMode) nonOverviewNaviUIMode
| readwritenonatomicassign

非全览的导航视角模式. 导航模式包括3D车头朝上、2D地图朝.

## ◆ overviewNaviUIMode

- (TNKNavUIMode) overviewNaviUIMode
| readwritenonatomicassign

全览的导航视角模式. 全览和剩余全览.

## ◆ routeConfig

- (TNKRouteConfig*) routeConfig
| readnonatomicassign

驾车导航路线样式配置

Note
  TNKCarRouteColorPalette 中的eraseColor 不支持动态更新.

## ◆ showsUserLocation

- (BOOL) showsUserLocation
| readwritenonatomicassign

开启定位并展示位置图标.

Provided by category TNKBaseNavView(QMapView).

## ◆ turnArrowConfig

- (TNKTurnArrowConfig*) turnArrowConfig
| readwritenonatomicstrong

设置是转向箭头的样式，不可为nil

## ◆ turnArrowEnabled

- (BOOL) turnArrowEnabled
| readwritenonatomicassign

设置是否隐藏转弯箭头指引.该方法用于导航状态下控制显示/隐藏下一个转弯箭头指引.默认为YES

The documentation for this class was generated from the following file:

- TNKBaseNavView.h